///////////////////////
// Cookie COnsent v1 //
///////////////////////


function init(bricVersion)
{
	window.webkit.messageHandlers.debug.postMessage("Current Bric Version = "+bricVersion);
}

// Set Value
function setValue(stringVal,attrName)
{
	if (attrName == 'data-dismiss' || attrName == 'data-link-label' || attrName == 'data-message')
	{
		stringVal = escString(stringVal);
	}

	$('.remove-on-export').attr(attrName,stringVal); // Store Refreance
	refreshScript();
	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}


// Set Banner Position
function setPosition(positionVal,stringValue,attrName)
{
	var position = 'bottom';

	if(positionVal == 1) // Top
	{
		position = 'top';
	}
	else if(positionVal == 2) // Float Left
	{
		position = 'bottom-left';
	}
	else if(positionVal == 3) // Float Right
	{
		position = 'bottom-right';
	}

	$('.remove-on-export').attr(attrName,position); // Store Refreance
	refreshScript();
	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}

// Set Banner Theme
function setTheme(themeVal,stringValue,attrName)
{
	var theme = 'block';

	if(themeVal == 1) // Class
	{
		theme = 'classic';
	}
	else if(themeVal == 2) // Edgeless
	{
		theme = 'edgeless';
	}

	$('.remove-on-export').attr(attrName,theme); // Store Refreance
	refreshScript();
	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}

// Refresh Script
function refreshScript()
{
	var dataSource = $('.remove-on-export');
	var bgColor = dataSource.attr('data-bg-color');
	var btnColor = dataSource.attr('data-btn-color');
	var btnTextColor = dataSource.attr('data-btn-text-color');

	var theme = dataSource.attr('data-theme');
	var position = dataSource.attr('data-position');

	var message = dataSource.attr('data-message');
	var dismiss = dataSource.attr('data-dismiss');
	var linkLabel = dataSource.attr('data-link-label');
	var linkURL = dataSource.attr('data-link-url');

	// Script builder
	var startSection = 'document.addEventListener("DOMContentLoaded", function() {window.cookieconsent.initialise({container: document.getElementById("content"),palette:{popup: {background:"'+bgColor+'"},button: {background:"'+btnColor+'",text:"'+btnTextColor+'"},},';
	var middleSection = "theme:'"+theme+"',position:'"+position+"',content: {message: '"+message+"',dismiss: '"+dismiss+"',link: '"+linkLabel+"',href: '"+linkURL+"',},";
	var endSection = "revokable:true,onStatusChange: function(status) {console.log(this.hasConsented() ?'enable cookies' : 'disable cookies');},law: {regionalLaw: false,},location: true,});});";
	var newScript = startSection+middleSection+endSection; // Combine Sections

	$('script').html(newScript);
}

// Escape Strings
function escString(stringVal)
{
	stringVal = stringVal.replace(/'/g, '\\\'');
	stringVal = stringVal.replace(/"/g, '\\\"');

	return stringVal;
}